Subject: Re: bug#72961: Possible documentation improvement: Clarification for package installation
From: Eli Zaretskii <[email-masked]>
To: Philip Kaludercic <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 05 Sep 2024 09:24:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Philip Kaludercic <[email-masked]>
> Cc: Krystian Samp <[email-masked]>,  [email-masked]
> Date: Mon, 02 Sep 2024 18:49:40 +0000
> 
> I believe the documentation here is just outdated.  From NEWS.27:
> 
>   ** Installed packages are now activated *before* loading the init file.
>   As a result of this change, it is no longer necessary to call
>   'package-initialize' in your init file.
> 
>   Previously, a call to 'package-initialize' was automatically inserted
>   into the init file when Emacs was started.  This call can now safely
>   be removed.
> 
> Otherwise it might also refer to the fact that user option
> `package-selected-packages' is saved, which by default will be stored in
> the default Emacs configuration file. 

Thanks, I've updated the text accordingly on the emacs-30 release
branch, and I'm therefore closing this bug.